<template>
  <h1>ToDo App</h1>
  <form v-on:submit.prevent="addTodo()">
    <label>New ToDo</label>
    <input type="text" v-model="content" />
    <button>Add ToDo</button>
  </form>
  <h2>ToDo List ({{ todos.length }})</h2>
  <ul>
    <li v-for="(todo, index) in todos" :key="index">
      <!-- <span v-if="todo.done" style="text-decoration: line-through" @click="crossTodo(todo)"> {{ todo.content }} </span> 
                <span v-else @click="crossTodo(todo)">{{ todo.content }}</span> -->
      <span
        v-bind:class="{ done: todo.done, notDone: !todo.done }"
        @click="crossTodo(todo)"
        >{{ todo.content }}</span
      >
      <button @click="removeTodo(index)">X</button>
    </li>
  </ul>
</template>

<script>
export default {
  name: 'App',
  data () {
    return {
      todos: [
        { content: 'Having Breakfast', done: false },
        { content: 'Reading book', done: true }
      ],
      content: ''
    }
  },
  methods: {
    addTodo () {
      // console.log(this.content);
      this.todos.push({ content: this.content, done: false })
      this.content = ''
    },
    removeTodo (index) {
      // console.log(index)
      this.todos.splice(index, 1)
    },
    crossTodo (todo) {
      todo.done = !todo.done
    }
  }
}
</script>

<style>
.done {
  text-decoration: line-through;
  color: gray;
}
.notDone {
  color: blue;
}
</style>
